# All resources

You can hard delete **ALL** session resources by executing one DELETE request to:\
**DELETE /sessions/:id/resources**

It will permanently delete all of the sessions data - chat, recordings, etc... and cannot be recovered.

If you would like to permanently delete only a concrete session resource - e.g. only chat, then read [here](/reference/rest-api/sessions/delete-resources/concrete-resource.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalsamba.com/reference/rest-api/sessions/delete-resources/all-resources.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
